Package org.bukkit.event.inventory

# Enum Class InventoryCloseEvent.Reason

java.lang.Object
java.lang.Enum<InventoryCloseEvent.Reason>
org.bukkit.event.inventory.InventoryCloseEvent.Reason

All Implemented Interfaces:
  `Serializable`, `Comparable<InventoryCloseEvent.Reason>`, `Constable`

Enclosing class:
  InventoryCloseEvent

public static enum InventoryCloseEvent.Reason extends Enum<InventoryCloseEvent.Reason>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CANT_USE`
Player is no longer permitted to use this inventory
`DEATH`
The player died
`DISCONNECT`
Closed due to disconnect
`OPEN_NEW`
Opening new inventory instead
`PLAYER`
Closed
`PLUGIN`
Closed by Bukkit API
`TELEPORT`
Player is teleporting
`UNKNOWN`
Unknown reason
`UNLOADED`
The chunk the inventory was in was unloaded

## Method Summary

Modifier and Type
Method
Description
`static InventoryCloseEvent.Reason`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InventoryCloseEvent.Reason[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNKNOWN

public static final InventoryCloseEvent.Reason UNKNOWN
Unknown reason

### TELEPORT

public static final InventoryCloseEvent.Reason TELEPORT
Player is teleporting

### CANT_USE

public static final InventoryCloseEvent.Reason CANT_USE
Player is no longer permitted to use this inventory

### UNLOADED

public static final InventoryCloseEvent.Reason UNLOADED
The chunk the inventory was in was unloaded

### OPEN_NEW

public static final InventoryCloseEvent.Reason OPEN_NEW
Opening new inventory instead

### PLAYER

public static final InventoryCloseEvent.Reason PLAYER
Closed

### DISCONNECT

public static final InventoryCloseEvent.Reason DISCONNECT
Closed due to disconnect

### DEATH

public static final InventoryCloseEvent.Reason DEATH
The player died

### PLUGIN

public static final InventoryCloseEvent.Reason PLUGIN
Closed by Bukkit API

## Method Details

### values

public static InventoryCloseEvent.Reason[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static InventoryCloseEvent.Reason valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null